<?php 

if ( Yii::app()->user->tools->message!="" ) {
    echo "<h2>Status</h2>\n";
    echo "<p>".Yii::app()->user->tools->message."</p>\n";
}


echo CHtml::tag("h2", array(), "Backup Configuration") ."\n";

echo CHtml::openTag("div", array("class"=>"yiiForm") ) . CHtml::form( array("admin/backup") );

echo CHtml::tag("div", array("class"=>"simple space"),  "Pressing 'Backup' will generate an xml file with the current configuration of the device.");

echo CHtml::tag("div", array(), CHtml::activeCheckBox($backup, "backupPassword" ) . CHtml::activeLabel($backup, "backupPassword") );

echo CHtml::openTag("div", array( 'class'=>'action') );
echo CHtml::submitButton("Backup", array('name'=>'create_backup') ) ." " ;
echo CHtml::closeTag("div");

echo CHtml::endForm() . CHtml::closeTag("div" );


echo CHtml::tag("h2", array(), "Restore Configuration") ."\n";

echo CHtml::openTag("div", array("class"=>"yiiForm") ) . CHtml::form( array(), "post", array('enctype'=>'multipart/form-data') );

echo CHtml::errorSummary( $backup )  ."\n";

echo CHtml::tag("div", array("class"=>"simple space"),  "Please select a previously backup configuration to be uploaded and applied to the device.");

echo CHtml::openTag("div", array( 'class'=>'simple') );
echo CHtml::activeFileField($backup, "uploadedfile", array('size'=>50) );
echo CHtml::closeTag("div");

echo CHtml::openTag("div", array( 'class'=>'action') );
echo CHtml::submitButton("Restore", array('name'=>'upload_backup') );
echo CHtml::closeTag("div");

echo CHtml::endForm() . CHtml::closeTag("div" );
